Subject: [os2genau_digest] No. 251
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Wed, 16 Jan 2002 01:00:00 +1100 (EDT)

Date:- 16 January 2002

1================================================

From: Trevor Clarke <TClarkeatslatergordon dot com dot au>
Subject: Re: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?
Date: Tue, 15 Jan 2002 08:34:38 +1100

I had some crazy boot behavior when changing my drive & controller setup
until I disabled hardware detection... may help?

	-----Original Message-----
	From:	Ed Durrant [SMTP:edurrantatbigpond dot net dot au]
	Sent:	Monday, January 14, 2002 7:51 PM
	To:	os2genauatos2 dot org dot au
	Subject:	Re: [os2genau] Tekram controller, IDE hdd > 528M +
SCSI hdd?

	Your new drive (1.23 GB) I suspect is EIDE, not IDE is this
	correct ?? When you say "track remap" where is this, is this
	in some special software ?  I remember on old motherboards,
	you have to select one of three options to get around the 528MB
	IDE barrier but I can't remember what they were, it's sometime
	since I've had to do that !

	Have you tried using the standard IBm or Dani's EIDE drivers
	rather than the Tekram ones ?? I think you might find that
	DANIS506.ADD handles Tekram boards, and the IBM IBM1506.ADD 
	may also in the meantime.

	Cheers/2

	Ed. 

	Chris_neeson wrote:
	> 
	> Does anyone have an OS2 solution for this combination:
	> 
	> - Tekram IDe adapters w onboard cache ( RAM SIMMs )
	>   ( EISA and VLB tried so far )
	> 
	> - 'large' IDE drives ( >528M ),
	>   ( so Track Remap is enabled in the adapter BIOS Setup )
	> 
	> - SCSI hard disk drive ( any size )
	> 
	> ( I heard about problems with OS2 drivers and Tekram a while ago,
	>   and thought my system was immune,
	>   but, naturally, it ain't that easy )
	> 
	> The hardware combination works OK if the IDE drive is < 528M.
	> 
	> But, when I install what I want to be my next IDE disk,
	> ( 1.23G, with Track Remap enabled )
	> 
	> - DOS ( Dear Old System? ) works fine
	> 
	> - but OS2
	> 
	>   - abends with a Trap D when using the EISA adapter
	>     ( for all versions of Tekram's controller driver )
	> 
	>   - boots to a DOS prompt OK from floppy when using the VLB
adapter,
	>     ( BUT THE SCSI HDD IS NOT RECOGNISED BY THE 'SYSTEM' )
	> 
	> Any ideas?
	> 
	> Regards
	> Chris
	>
	
2==============================================

Date: Tue, 15 Jan 2002 09:34:59 -0500
From: Chris_neeson <Chris_Neesonatcompuserve dot com>
Subject: Re: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?

Thanks for the reply, Ed

EIDE?
- not particularly
- the specs describe the disk as ATA-2, Run Length Limted
- I think 'EIDE' refers to disk controller 'ability'
- my controllers are actually described as IDE ( only )
  throughout the manual,
  although it says you can have up to 4 disks per
  controller
  ( I thought that was EIDE,
    IF THAT'S A PROBLEM, WE'RE GETTING SOMEWHERE )

Track remap?
- this was Tekram's method for implementing support for
  drives with more than 1024cyls
- it was implemented in 'firmware' logic,
  in an EPROM on the controller,
  although the equations to calculate remapped
  track addresses aren't necessarily the same across
  different versions of the 'firmware'
- it was similar in concept to OnTrak's Disk Manager,
  'remapping' the drive geometry to 'reduce' the
  number of cylinders by increasing the 'number'
  of tracks
  ( but, naturally, its incompatible with Disk Manager )
- its different to LBA, which is another method of addressing
  locations on disks
- Track Remap is turned on or off for these controllers
  by entering the controller's configuration menu during
  the boot process
  ( the prompt for this appears AFTER the prompt for
    the motherboard's BIOS Setup ).

Other Drivers?
- not all versions of IBM1S506 recognise these controllers
  ( you can boot to a command prompt and find OS2 thinks
    you don't have any IDE drives ! )
- DANIS506 abends with some of these controllers,
  so I'm not using it
  ( I want a system software configuration which is
    compatible with the controller range, so I can
    shift or recover my disk into any of my hardware
    configurations ).

Regards
Chris

-------------------------- Ed emailed
-------------------------------------------
> Your new drive (1.23 GB) I suspect is EIDE, not IDE is this
> correct ?? When you say "track remap" where is this, is this
> in some special software ?  I remember on old motherboards,
> you have to select one of three options to get around the 528MB
> IDE barrier but I can't remember what they were, it's sometime
> since I've had to do that !

> Have you tried using the standard IBm or Dani's EIDE drivers
 > rather than the Tekram ones ?? I think you might find that
> DANIS506.ADD handles Tekram boards, and the IBM IBM1506.ADD =

> may also in the meantime.

> Cheers/2

> Ed. =

Chris_neeson wrote:
>> =

>> Does anyone have an OS2 solution for this combination:
>> =

>> - Tekram IDe adapters w onboard cache ( RAM SIMMs )
>>   ( EISA and VLB tried so far )
>> =

>> - 'large' IDE drives ( >528M ),
>>   ( so Track Remap is enabled in the adapter BIOS Setup )
>> =

>> - SCSI hard disk drive ( any size )
>> =

>> ( I heard about problems with OS2 drivers and Tekram a while ago,
>>   and thought my system was immune,
>>   but, naturally, it ain't that easy )
>> =

>> The hardware combination works OK if the IDE drive is < 528M.
>> =

>> But, when I install what I want to be my next IDE disk,
>> ( 1.23G, with Track Remap enabled )
>> =

>> - DOS ( Dear Old System? ) works fine
>> =

>> - but OS2
>> =

>>   - abends with a Trap D when using the EISA adapter
>>     ( for all versions of Tekram's controller driver )
>> =

>>   - boots to a DOS prompt OK from floppy when using the VLB adapter,
>>     ( BUT THE SCSI HDD IS NOT RECOGNISED BY THE 'SYSTEM' )

3==============================================

Date: Wed, 16 Jan 2002 06:45:54 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?

LBA was what I was thinking about - so track
remap is a Tekram specific technology implemented
directly on their controller card, at a hardware
level. That should be OK, so we're back to driver
compatability issues. I really thought the latest
Dani drivers would be the answer. 

You say that it fails with "some" of these controllers,
so you have several machines with Tekram controllers 
in them ?  Perhaps it'd be worth testing with the latest
drivers to see which ones work and which not. You may
only need to discard one card.

Using older style hardware can often be a problem,
compatability with newer components isn't always so easy.
Sometimes it's simply cheaper and easier to scrap the
old cards and use the latest (and normally much cheaper)
cards and technology - save's getting grey hair before
its time as well !

Cheers/2

Ed.

Chris_neeson wrote:
> 
> Thanks for the reply, Ed
> 
> EIDE?
> - not particularly
> - the specs describe the disk as ATA-2, Run Length Limted
> - I think 'EIDE' refers to disk controller 'ability'
> - my controllers are actually described as IDE ( only )
>   throughout the manual,
>   although it says you can have up to 4 disks per
>   controller
>   ( I thought that was EIDE,
>     IF THAT'S A PROBLEM, WE'RE GETTING SOMEWHERE )
> 
> Track remap?
> - this was Tekram's method for implementing support for
>   drives with more than 1024cyls
> - it was implemented in 'firmware' logic,
>   in an EPROM on the controller,
>   although the equations to calculate remapped
>   track addresses aren't necessarily the same across
>   different versions of the 'firmware'
> - it was similar in concept to OnTrak's Disk Manager,
>   'remapping' the drive geometry to 'reduce' the
>   number of cylinders by increasing the 'number'
>   of tracks
>   ( but, naturally, its incompatible with Disk Manager )
> - its different to LBA, which is another method of addressing
>   locations on disks
> - Track Remap is turned on or off for these controllers
>   by entering the controller's configuration menu during
>   the boot process
>   ( the prompt for this appears AFTER the prompt for
>     the motherboard's BIOS Setup ).
> 
> Other Drivers?
> - not all versions of IBM1S506 recognise these controllers
>   ( you can boot to a command prompt and find OS2 thinks
>     you don't have any IDE drives ! )
> - DANIS506 abends with some of these controllers,
>   so I'm not using it
>   ( I want a system software configuration which is
>     compatible with the controller range, so I can
>     shift or recover my disk into any of my hardware
>     configurations ).
> 
> Regards
> Chris
> 
> -------------------------- Ed emailed
> -------------------------------------------
> > Your new drive (1.23 GB) I suspect is EIDE, not IDE is this
> > correct ?? When you say "track remap" where is this, is this
> > in some special software ?  I remember on old motherboards,
> > you have to select one of three options to get around the 528MB
> > IDE barrier but I can't remember what they were, it's sometime
> > since I've had to do that !
> 
> > Have you tried using the standard IBm or Dani's EIDE drivers
>  > rather than the Tekram ones ?? I think you might find that
> > DANIS506.ADD handles Tekram boards, and the IBM IBM1506.ADD
> > may also in the meantime.
> 
> > Cheers/2
> 
> > Ed.
> 
> Chris_neeson wrote:
> >>
> >> Does anyone have an OS2 solution for this combination:
> >>
> >> - Tekram IDe adapters w onboard cache ( RAM SIMMs )
> >>   ( EISA and VLB tried so far )
> >>
> >> - 'large' IDE drives ( >528M ),
> >>   ( so Track Remap is enabled in the adapter BIOS Setup )
> >>
> >> - SCSI hard disk drive ( any size )
> >>
> >> ( I heard about problems with OS2 drivers and Tekram a while ago,
> >>   and thought my system was immune,
> >>   but, naturally, it ain't that easy )
> >>
> >> The hardware combination works OK if the IDE drive is < 528M.
> >>
> >> But, when I install what I want to be my next IDE disk,
> >> ( 1.23G, with Track Remap enabled )
> >>
> >> - DOS ( Dear Old System? ) works fine
> >>
> >> - but OS2
> >>
> >>   - abends with a Trap D when using the EISA adapter
> >>     ( for all versions of Tekram's controller driver )
> >>
> >>   - boots to a DOS prompt OK from floppy when using the VLB adapter,
> >>     ( BUT THE SCSI HDD IS NOT RECOGNISED BY THE 'SYSTEM' )

4==============================================

From: "Robert Traynor  (BobT)" <rtraynoratoptushome dot com dot au>
Date: Wed, 16 Jan 2002 10:23:13 +1100 (EST)
Subject: Re: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?

Chris,

I know you said you had tried the Danis drivers, but this is the latest version
as of today.  Shee has put out at least 2 more versions in the last 2 weeks.
Try the /!BM switch.

---------------Quote on-----------------
		      Daniela's S506 ADD - Release 1.4.0
		      ----------------------------------

NAME
     DaniS506.ADD  -  replacement for IBM1S506.ADD

SYNOPSIS
     EIDE driver with support for Intel, VIA, ALi, SiS, CMD, Promise, Cyrix,
     HighPoint, AMD, SMSC, ServerWorks, and Opti chipsets, and generic busmaster
     support for all SFF-8038i compliant chips.

     This covers virtually *any* EIDE controller built/sold in the past few
     years and even some just about to be released in the near future. Don't be
     confused by the generic chip names below! If you are uncertain about your
     actual controller to be supported, run the DumpIDE utility - it will tell
     you.

***  This driver is *not* compatible to any of the software RAID setups offered
***  by some so called IDE RAID controllers (f.e. HPT, Promise FastTrack, AMI)!
***  Of course, you may run these chips in non-RAID BIOS setups.

---------------Quote on-----------------

Regards,
BobT.

On Wed, 16 Jan 2002 06:45:54 +1100, Ed Durrant wrote:

> LBA was what I was thinking about - so track
> remap is a Tekram specific technology implemented
> directly on their controller card, at a hardware
> level. That should be OK, so we're back to driver
> compatability issues. I really thought the latest
> Dani drivers would be the answer. 
> 
> You say that it fails with "some" of these controllers,
> so you have several machines with Tekram controllers 
> in them ?  Perhaps it'd be worth testing with the latest
> drivers to see which ones work and which not. You may
> only need to discard one card.
> 
> Using older style hardware can often be a problem,
> compatability with newer components isn't always so easy.
> Sometimes it's simply cheaper and easier to scrap the
> old cards and use the latest (and normally much cheaper)
> cards and technology - save's getting grey hair before
> its time as well !
> 
> Cheers/2
> 
> Ed.
> 
> Chris_neeson wrote:
> > 
> > Thanks for the reply, Ed
> > 
> > EIDE?
> > - not particularly
> > - the specs describe the disk as ATA-2, Run Length Limted
> > - I think 'EIDE' refers to disk controller 'ability'
> > - my controllers are actually described as IDE ( only )
> >   throughout the manual,
> >   although it says you can have up to 4 disks per
> >   controller
> >   ( I thought that was EIDE,
> >     IF THAT'S A PROBLEM, WE'RE GETTING SOMEWHERE )
> > 
> > Track remap?
> > - this was Tekram's method for implementing support for
> >   drives with more than 1024cyls
> > - it was implemented in 'firmware' logic,
> >   in an EPROM on the controller,
> >   although the equations to calculate remapped
> >   track addresses aren't necessarily the same across
> >   different versions of the 'firmware'
> > - it was similar in concept to OnTrak's Disk Manager,
> >   'remapping' the drive geometry to 'reduce' the
> >   number of cylinders by increasing the 'number'
> >   of tracks
> >   ( but, naturally, its incompatible with Disk Manager )
> > - its different to LBA, which is another method of addressing
> >   locations on disks
> > - Track Remap is turned on or off for these controllers
> >   by entering the controller's configuration menu during
> >   the boot process
> >   ( the prompt for this appears AFTER the prompt for
> >     the motherboard's BIOS Setup ).
> > 
> > Other Drivers?
> > - not all versions of IBM1S506 recognise these controllers
> >   ( you can boot to a command prompt and find OS2 thinks
> >     you don't have any IDE drives ! )
> > - DANIS506 abends with some of these controllers,
> >   so I'm not using it
> >   ( I want a system software configuration which is
> >     compatible with the controller range, so I can
> >     shift or recover my disk into any of my hardware
> >     configurations ).
> > 
> > Regards
> > Chris
> > 
> > -------------------------- Ed emailed
> > -------------------------------------------
> > > Your new drive (1.23 GB) I suspect is EIDE, not IDE is this
> > > correct ?? When you say "track remap" where is this, is this
> > > in some special software ?  I remember on old motherboards,
> > > you have to select one of three options to get around the 528MB
> > > IDE barrier but I can't remember what they were, it's sometime
> > > since I've had to do that !
> > 
> > > Have you tried using the standard IBm or Dani's EIDE drivers
> >  > rather than the Tekram ones ?? I think you might find that
> > > DANIS506.ADD handles Tekram boards, and the IBM IBM1506.ADD
> > > may also in the meantime.
> > 
> > > Cheers/2
> > 
> > > Ed.
> > 
> > Chris_neeson wrote:
> > >>
> > >> Does anyone have an OS2 solution for this combination:
> > >>
> > >> - Tekram IDe adapters w onboard cache ( RAM SIMMs )
> > >>   ( EISA and VLB tried so far )
> > >>
> > >> - 'large' IDE drives ( >528M ),
> > >>   ( so Track Remap is enabled in the adapter BIOS Setup )
> > >>
> > >> - SCSI hard disk drive ( any size )
> > >>
> > >> ( I heard about problems with OS2 drivers and Tekram a while ago,
> > >>   and thought my system was immune,
> > >>   but, naturally, it ain't that easy )
> > >>
> > >> The hardware combination works OK if the IDE drive is < 528M.
> > >>
> > >> But, when I install what I want to be my next IDE disk,
> > >> ( 1.23G, with Track Remap enabled )
> > >>
> > >> - DOS ( Dear Old System? ) works fine
> > >>
> > >> - but OS2
> > >>
> > >>   - abends with a Trap D when using the EISA adapter
> > >>     ( for all versions of Tekram's controller driver )
> > >>
> > >>   - boots to a DOS prompt OK from floppy when using the VLB adapter,
> > >>     ( BUT THE SCSI HDD IS NOT RECOGNISED BY THE 'SYSTEM' )

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynoratnetstra dot com dot au
 \_,--.x/